Subject: Re: [siprec] Barry Leiba's Discuss on draft-ietf-siprec-protocol-16: (with DISCUSS and COMMENT)

From: Yaron Pdut <[email-masked]>
Date: Mon, 22 Jun 2015 21:29:31 +0300

Trying to be pragmatic, today there are dozens of SIPREC implementations in the market that support the current specification for few years now, I do not see them modifing code at this stage.

This means that the RFC will be a dead word for most vendors on one hand and will force SRS vendors to support yet another version (we already support at least 3 flavors of it today) on the other hand.

Already today there are many voices in industry thinking SIPREC intrudoce too much overhead. It is too open, too complex protocol, and they are considering lightweight REST based API as an alternative.

Approving this, IMHO, will put SIPREC future in a question.

BR,
Yaron

-------- Original Message --------
From: "Ram Mohan R (rmohanr)" <[email-masked]>
Date: Mon, June 22, 2015 6:42 PM +0300
To: "Hutton, Andrew" <[email-masked]>, Paul Kyzivat <[email-masked]>, [email-masked]
Subject: Re: [siprec] Barry Leiba's Discuss on draft-ietf-siprec-protocol-16: (with DISCUSS and COMMENT)

-----Original Message-----
From: <Hutton>, Andrew <[email-masked]>
Date: Monday, 22 June 2015 8:43 pm
To: Cisco Employee <[email-masked]>, Paul Kyzivat
<[email-masked]>, "[email-masked]" <[email-masked]>
Subject: RE: [siprec] Barry Leiba's Discuss on
draft-ietf-siprec-protocol-16: (with DISCUSS and COMMENT)

>ON: 19 June 2015 00:46 Ram Mohan R Wrote:
>>
>> I have a question - is it allowed to have a two different C-T (say
>> "application/rs-metadata-request" and "application/rs-metadata") and
>> still
>> have content point to same XML document ?
>> The reason for asking is I still feel they have to be different C-T as
>> they are not related. One C-T is for representing the snapshot of
>> metadata
>> and other is for requesting the same. So logically it make sense to
>> still
>> consider them as two different content-types. The C-D can be same as
>> both
>> are for recording session.
>>
>
>
>I don't think they have to be different C-T's that surely depends on how
>the XML content is defined.

Sure.

As I mentioned I don¹t see any real advantage in having same C-T vs
different one.  OTOH by having same C-T for metadata req and metadata, an
SRC now has to parse the entire XML to understand what the SRS wants
before replying to the RE-INVITE/UPDATE it got from SRS. By having a
different C-T by an SRC can act by looking at the C-T header value itself
and optionally choose to parse XML.  If that is some thing the WG is ok
with I am fine as well.

I will come up with the XML syntax for the request on the suggestion from
Paul and send the updated schema to the list.

Regards,
Ram

>Andy

_______________________________________________
siprec mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/siprec